* STATS.PRG
* Program to print rosters and current statistics for
* Rotessorie Baseball League
* by Lori M. Austin
* Uses Databases: TEAM.DBF, PLAYER.DBF, OFFENSE.DBF, PITCH.DBF
ml = 0
store 0 to mt1, mt2, mt3, mt4, mt5, mt6, mt7, mt8, mt9, mt10, mct10, mct1, mcter, mctip, mctab, mctht, mts13, mts9, mts8
set device to print
SET MARGIN TO 4
*set device to file c:\mlb\bbstats.asc
sele 2
use player index teamcode
reindex
sele 4
use pitch index pitch
reindex
sele 3
use offense index offense
reindex

sele 1
use team index team
reindex
go top
* set loop to get team info
do while .not. eof()
mteam = team
mmoves = moves
@ ml,0 say teamname
ml = ml + 2

  * offense heading
  @ ml,0 say 'OFFENSE'
  @ ml,31 say 'BA'
  @ ml,39 say 'Runs'
  @ ml,50 say 'HR'
  @ ml,58 say 'RBI'
  @ ml,69 say 'SB'
  ml = ml +1

sele 2
set filter to teamcode = mteam .and. position <> 'P'
* set loop to get all offense
go top
do while .not. eof()
mteam2 = team
mposition = position
msalary = salary
mlname = lname
mfname = fname
mseek = TRIM(lname)+ fname
  sele 3
  seek mseek
  if found()
  a1 = str(s1,5,3)
  mctab = mctab + s3
  mctht = mctht + s5
  mt1 = mt1 + s1
  a2 = str(s4,3,0)
  mt2 = mt2 + s4
  a3 = str(s9,3,0)
  mt3 = mt3 + s9
  a4 = str(s10,3,0)
  mt4 = mt4 + s10
  a5 = str(s13,3,0)
  mt5 = mt5 + s13
  else 
    store '' to a1, a2, a3, a4, a5
  endif - found()
  do lprint
sele 2
skip
enddo

 * get team batting average
IF mctab <> 0
  mt1 = mctht/mctab
ELSE
  mt1 = 0
ENDIF
  ml = ml +2
  @ ml,0 say 'Offensive Total'
  do oline
  ml = ml + 2

* do pitching stats
  
  @ ml,0 say 'PITCHING'
  @ ml,30 say 'ERA'
  @ ml,39 say 'Wins'
  @ ml,50 say 'Saves'
  @ ml,58 say 'SOs'
  @ ml,70 say 'Ratio'
  ml = ml +1
  
set filter to teamcode = mteam .and. position = 'P'
go top
do while .not. eof()
mseek = TRIM(lname) + TRIM(fname)
mposition = position
msalary = salary
mlname = lname
mfname = fname
mteam2 = team
  sele 4
  seek mseek
  	if found()
  		a1 = str(s3,5,3)
  		mt6 = mt6 + s3
  		mcter = mcter + s11
  		mctip = mctip + s8
  		a2 = str(s1,3,0)
  		mt7 = mt7 + s1
  		a3 = str(s7,3,0)
  		mt8 = mt8 + s7
  		a4 = str(s14,3,0)
  		mt9 = mt9 + s14
  		if s8 <> 0 .and. s13 <> 0
  			a5 = str(((s13+s9)/s8),6,4)
  			*mct10 = mct10 + 1
  			*mt10 = mt10 + ((s13+s9)/s8)
  			mts13 = mts13 + s13
  			mts9 = mts9 + s9
  			mts8 = mts8 + s8
  			*else 
  			*mt10 = mt10
  		endif
  	else 
   		store '' to a1, a2, a3, a4, a5
  	endif - found
  do lprint
sele 2
skip
enddo

* find team ERA
IF mctip <> 0
	mt6 = (mcter*9)/mctip
ELSE
	mt6 = 0
ENDIF
*average total ratio
IF mts8 <> 0 
	mt10 = ((mts13+mts9)/mts8)
ELSE
	mt10 = 0
ENDIF
*IF mt10 <> 0 .and. mct10 <> 0
*mt10 = mt10/mct10
*ENDIF
sele 2
  ml = ml +2
  @ ml,0 say 'Pitching Total'
  do pline
  ml = ml +2

set filter to
sum salary to msal for teamcode = mteam

sele 1
@ ml,0 say 'OWNER: ' + owner 
ml = ml +1
@ ml,0 say 'Phone: ' + phone
ml = ml +2
@ ml,0 say 'Total Salary $' + ltrim(str(msal))
@ ml,18 say 'Moves Left ' + mmoves
ml = ml +1
@ ml,20 say m1
ml = ml +1
@ ml,20 say m2
ml = ml +1
@ ml,20 say m3
ml = ml +1
@ ml,20 say m4
ml = ml +1
@ ml,20 say m5
ml = ml +1
@ ml,20 say m6
ml = ml +1
@ ml,20 say m7
ml = ml +2

replace t1 with mt1, t2 with mt2, t3 with mt3, t4 with mt4, t5 with mt5, t6 with mt6, t7 with mt7
replace t8 with mt8, t9 with mt9, t10 with mt10
store 0 to mt1,mt2,mt3,mt4,mt5,mt6,mt7,mt8, mt9, mt10, mct10, mct1, mcter, mctip, mctab, mctht, mts13, mts9, mts8
skip
ml = 0
eject
enddo

close all
set device to screen
return

PROCEDURE LPRINT
* procedure to print lines of player stats
@ ml,0 say mposition
@ ml,4 say trim(mlname) + ', ' + mfname
@ ml,20 say upper(mteam2)
@ ml,25 say '(' + ltrim(str(msalary)) + ')'
@ ml,30 say ltrim(a1)
@ ml,40 say ltrim(a2)
@ ml,50 say ltrim(a3)
@ ml,60 say ltrim(a4)
@ ml,70 say ltrim(a5)
ml = ml +1
return

PROCEDURE OLINE
@ ml,30 say ltrim(str(mt1,5,3))
@ ml,40 say ltrim(str(mt2))
@ ml,50 say ltrim(str(mt3))
@ ml,60 say ltrim(str(mt4))
@ ml,70 say ltrim(str(mt5))
ml = ml +2
return

procedure pline
@ ml,25 say ltrim(str(mt6,5,3))
@ ml,40 say ltrim(str(mt7))
@ ml,50 say ltrim(str(mt8))
@ ml,60 say ltrim(str(mt9))
@ ml,70 say ltrim(str(mt10,5,3))
ml = ml +2
return
